<div class='container'>
    <div class="row justify-content-center"> <!-- Ajout de la classe justify-content-center pour centrer horizontalement -->
        <app-search-pokemon></app-search-pokemon>
        <div *ngFor="let pokemon of pokemonList" class="col m4 s1">

            <div class="card horizontal" PokemonBorderCard (click)="goToPokemonId(pokemon)">

                <div class="card-image">
                    <img appZoomImage [src]="pokemon.picture"/>
                </div>
                <div class="card-stacked">
                    <div class="card-content">
                        <p>{{ pokemon.name }}</p>
                        <p><small>{{ pokemon.created | date:"dd/MM/yyyy" }}</small></p>
                        <span 
                            *ngFor="let type of pokemon.types" 
                            class="{{type | pokemonTypeColor}}">{{type}}
                        </span>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<h4 *ngIf='!pokemon' class="center"> <app-loader></app-loader> </h4>
<a 
    class="btn-floating btn-large waves-effect waves-light red" 
    z-depth="3" 
    style="position: fixed; bottom: 25px; right: 25px;" 
    routerLink="/pokemon/add"
> + </a>
